package com.cesgroup.cesmonitor.bean;

/**
 * 内存相关数据
 *
 * @author user
 * @version 1.0.0 2017年5月12日
 */
public class MemoryReport {

    private String name;

    private String host;

    private long valueMin;

    private long valueAvg;

    private long valueMax;

    public MemoryReport() {
    }

    /**
     *
     * @param name
     *            主机组
     * @param host
     *            主机
     * @param valueMin
     *            最小值
     * @param valueAvg
     *            平均值
     * @param valueMax
     *            最大值
     */
    public MemoryReport(String name, String host, long valueMin, long valueAvg, long valueMax) {
        this.name = name;
        this.host = host;
        this.valueMin = valueMin;
        this.valueAvg = valueAvg;
        this.valueMax = valueMax;
    }

    public final String getName() {
        return this.name;
    }

    public final void setName(String name) {
        this.name = name;
    }

    public final String getHost() {
        return this.host;
    }

    public final void setHost(String host) {
        this.host = host;
    }

    public final long getValueMin() {
        return this.valueMin;
    }

    public final void setValueMin(long valueMin) {
        this.valueMin = valueMin;
    }

    public final long getValueAvg() {
        return this.valueAvg;
    }

    public final void setValueAvg(long valueAvg) {
        this.valueAvg = valueAvg;
    }

    public final long getValueMax() {
        return this.valueMax;
    }

    public final void setValueMax(long valueMax) {
        this.valueMax = valueMax;
    }

    @Override
    public String toString() {
        return "MemoryReport [name=" + this.name + ", host=" + this.host + ", valueMin=" + this.valueMin + ", valueAvg="
            + this.valueAvg + ", valueMax=" + this.valueMax + "]";
    }
}