package com.cesgroup.cesmonitor.bean;

import com.cesgroup.framework.base.entity.LongIDEntity;

/**
 * @author user
 * @version 1.0.0 2017年5月10日
 */
public class OneHostConfig extends LongIDEntity {

    private static final long serialVersionUID = -6321427659063798779L;

    private String name;

    private Long hostId;

    private int available;

    private int snmpAvailable;

    private int jmxAvailable;

    private int ipmiAvailable;

    private double cpuRate;

    private double diskRate;

    private double totalInterFace;

    private int maxPriority;

    private int totalException;

    private Long freeMemory;

    private Long totalMemory;

    private double memoryRate;

    public double getMemoryRate() {
        return memoryRate;
    }

    public void setMemoryRate(double memoryRate) {
        this.memoryRate = memoryRate;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAvailable() {
        return available;
    }

    public void setAvailable(int available) {
        this.available = available;
    }

    public int getSnmpAvailable() {
        return snmpAvailable;
    }

    public void setSnmpAvailable(int snmpAvailable) {
        this.snmpAvailable = snmpAvailable;
    }

    public int getJmxAvailable() {
        return jmxAvailable;
    }

    public void setJmxAvailable(int jmxAvailable) {
        this.jmxAvailable = jmxAvailable;
    }

    public int getIpmiAvailable() {
        return ipmiAvailable;
    }

    public void setIpmiAvailable(int ipmiAvailable) {
        this.ipmiAvailable = ipmiAvailable;
    }

    public double getCpuRate() {
        return cpuRate;
    }

    public void setCpuRate(double cpuRate) {
        this.cpuRate = cpuRate;
    }

    public double getDiskRate() {
        return diskRate;
    }

    public void setDiskRate(double diskRate) {
        this.diskRate = diskRate;
    }

    public double getTotalInterFace() {
        return totalInterFace;
    }

    public void setTotalInterFace(double totalInterFace) {
        this.totalInterFace = totalInterFace;
    }

    public int getMaxPriority() {
        return maxPriority;
    }

    public void setMaxPriority(int maxPriority) {
        this.maxPriority = maxPriority;
    }

    public int getTotalException() {
        return totalException;
    }

    public void setTotalException(int totalException) {
        this.totalException = totalException;
    }

    public Long getFreeMemory() {
        return freeMemory;
    }

    public void setFreeMemory(Long freeMemory) {
        this.freeMemory = freeMemory;
    }

    public Long getTotalMemory() {
        return totalMemory;
    }

    public void setTotalMemory(Long totalMemory) {
        this.totalMemory = totalMemory;
    }

    /**
     * 构造函数
     */
    public OneHostConfig(String name, Long hostId, int available, int snmpAvailable, int jmxAvailable,
        int ipmiAvailable, double cpuRate, double diskRate, double totalInterFace, int maxPriority, int totalException,
        Long freeMemory, Long totalMemory) {
        super();
        this.name = name;
        this.hostId = hostId;
        this.available = available;
        this.snmpAvailable = snmpAvailable;
        this.jmxAvailable = jmxAvailable;
        this.ipmiAvailable = ipmiAvailable;
        this.cpuRate = cpuRate;
        this.diskRate = diskRate;
        this.totalInterFace = totalInterFace;
        this.maxPriority = maxPriority;
        this.totalException = totalException;
        this.freeMemory = freeMemory;
        this.totalMemory = totalMemory;
    }

    public OneHostConfig() {
        super();
    }

}
