package com.cesgroup.cesmonitor.bean;

/**
 * 异常告警报表
 *
 * @author user
 * @version 1.0.0 2017年5月11日
 */
public class AbnormalAlarmReport {

    private String name;

    private String host;

    private String hname;

    private String description;

    private int priority;

    private int countPriority;

    public AbnormalAlarmReport() {
    }

    /**
     *
     * @param name
     *            主机组
     * @param host
     *            主机
     * @param hname
     *            主机可见名
     * @param description
     *            描述
     * @param priority
     *            严重性
     * @param countPriority
     *            严重性次数统计
     */
    public AbnormalAlarmReport(String name, String host, String hname, String description, int priority,
        int countPriority) {
        this.name = name;
        this.host = host;
        this.hname = hname;
        this.description = description;
        this.priority = priority;
        this.countPriority = countPriority;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getHname() {
        return hname;
    }

    public void setHname(String hname) {
        this.hname = hname;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getPriority() {
        return priority;
    }

    public void setPriority(int priority) {
        this.priority = priority;
    }

    public int getCountPriority() {
        return countPriority;
    }

    public void setCountPriority(int countPriority) {
        this.countPriority = countPriority;
    }

    @Override
    public String toString() {
        return "AbnormalAlarmReport [name=" + name + ", host=" + host + ", hname=" + hname + ", description="
            + description + ", priority=" + priority + ", countPriority=" + countPriority + "]";
    }
}