/**
 * <p>Copyright:Copyright(c) 2017</p>
 * <p>Company:上海中信信息发展股份有限公司</p>
 * <p>包名:com.cesgroup.cesmonitor.bean</p>
 * <p>文件名:DiskUsageInfo.java</p>
 * <p>创建时间:2017年5月23日 下午2:25:54</p>
 * <p>作者:Administrator</p>
 */

package com.cesgroup.cesmonitor.bean;

/**
 *
 * @author cloud
 * @version 1.0.0 2017年5月23日
 */
public class DiskUsageInfo {

    /**
     * 总容量与使用量生成的图形graphId
     */
    private String graphId;

    /**
     * 总容量的itemid
     */
    private String totalItemid;

    /**
     * 使用量的itemid
     */
    private String usageItemid;

    /**
     * 驱动盘符
     */
    private String driveLetter;

    /**
     * 总容量
     */
    private Double totalCapacity;

    /**
     * 使用量
     */
    private Double usedCapacity;

    /**
     * 空闲量
     */
    private Double freeCapacity;

    /**
     * 空闲率
     */
    private Double freeRate;

    /**
     * 使用率
     */
    private Double usedRate;

    public String getDriveLetter() {
        return driveLetter;
    }

    public void setDriveLetter(final String driveLetter) {
        this.driveLetter = driveLetter;
    }

    public Double getTotalCapacity() {
        return totalCapacity;
    }

    public void setTotalCapacity(final Double totalCapacity) {
        this.totalCapacity = totalCapacity;
    }

    public Double getUsedCapacity() {
        return usedCapacity;
    }

    public void setUsedCapacity(final Double usedCapacity) {
        this.usedCapacity = usedCapacity;
    }

    public Double getFreeCapacity() {
        return freeCapacity;
    }

    public void setFreeCapacity(final Double freeCapacity) {
        this.freeCapacity = freeCapacity;
    }

    /**
     * @return the freeRate
     */
    public Double getFreeRate() {
        return freeRate;
    }

    /**
     * @param freeRate
     *            the freeRate to set
     */
    public void setFreeRate(final Double freeRate) {
        this.freeRate = freeRate;
    }

    /**
     * @return the usedRate
     */
    public Double getUsedRate() {
        return usedRate;
    }

    /**
     * @param usedRate
     *            the usedRate to set
     */
    public void setUsedRate(final Double usedRate) {

        this.usedRate = usedRate;
    }

    /**
     * @return the totalItemid
     */
    public String getTotalItemid() {
        return totalItemid;
    }

    /**
     * @param totalItemid
     *            the totalItemid to set
     */
    public void setTotalItemid(final String totalItemid) {
        this.totalItemid = totalItemid;
    }

    /**
     * @return the usageItemid
     */
    public String getUsageItemid() {
        return usageItemid;
    }

    /**
     * @param usageItemid
     *            the usageItemid to set
     */
    public void setUsageItemid(final String usageItemid) {
        this.usageItemid = usageItemid;
    }

    /**
     * @return the graphId
     */
    public String getGraphId() {
        return graphId;
    }

    /**
     * @param graphId
     *            the graphId to set
     */
    public void setGraphId(final String graphId) {
        this.graphId = graphId;
    }

}
