package com.cesgroup.cesmonitor.bean;

/**
 * 快速访问
 *
 * @author user
 * @version 1.0.0 2017年5月11日
 */
public class FastGroupGraph {

    public String getId() {
        return id;
    }

    public void setId(final String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(final String groupId) {
        this.groupId = groupId;
    }

    public String getHostId() {
        return hostId;
    }

    public void setHostId(final String hostId) {
        this.hostId = hostId;
    }

    public String getGraphId() {
        return graphId;
    }

    public void setGraphId(final String graphId) {
        this.graphId = graphId;
    }

    private String id;

    private String name;

    private String groupId;

    private String hostId;

    private String graphId;

    public FastGroupGraph() {

    }

    /**
     *
     * @param id
     *            id
     * @param name
     *            名称
     * @param groupId
     *            主机id
     * @param hostId
     *            ip
     * @param graphId
     *            图形id
     */
    public FastGroupGraph(final String id, final String name, final String groupId, final String hostId,
        final String graphId) {
        this.id = id;
        this.name = name;
        this.groupId = groupId;
        this.hostId = hostId;
        this.graphId = graphId;
    }

    @Override
    public String toString() {
        return "QuickAccess [id=" + id + ", name=" + name + ", groupId=" + groupId + ", hostId="
            + hostId + ", graphId=" + graphId + "]";
    }

}