/**
 * <p>Copyright:Copyright(c) 2017</p>
 * <p>Company:上海中信信息发展股份有限公司</p>
 * <p>包名:com.cesgroup.cesmonitor.bean</p>
 * <p>文件名:InterfaceInfo.java</p>
 * <p>创建时间:2017年5月23日 下午2:27:24</p>
 * <p>作者:Administrator</p>
 */

package com.cesgroup.cesmonitor.bean;

/**
 *
 * @author cloud
 * @version 1.0.0 2017年5月23日
 */
public class InterfaceInfo {

    /**
     * 接口信息的状态
     */
    private String status;

    /**
     *
     * 接口信息名称
     */
    private String interfaceName;

    /**
     *
     * 进口流量监控项的Itemid
     */
    private String inputItemid;

    /**
     * 进流量
     */
    private Double inputFlow;

    /**
     * 出口流量监控项的Itemid
     */
    private String outputItemid;

    /**
     * 出流量
     */
    private Double outputFlow;

    /**
     * 状态变更时间
     */
    private String statusChangedTime;

    /**
     * 进口流量与出口流量生成的图形
     */

    private String graphId;

    public String getStatus() {
        return status;
    }

    public void setStatus(final String status) {
        this.status = status;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(final String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public Double getInputFlow() {
        return inputFlow;
    }

    public void setInputFlow(final Double inputFlow) {
        this.inputFlow = inputFlow;
    }

    public Double getOutputFlow() {
        return outputFlow;
    }

    public void setOutputFlow(final Double outputFlow) {
        this.outputFlow = outputFlow;
    }

    /**
     * @return the statusChangedTime
     */
    public String getStatusChangedTime() {
        return statusChangedTime;
    }

    /**
     * @param statusChangedTime
     *            the statusChangedTime to set
     */
    public void setStatusChangedTime(final String statusChangedTime) {
        this.statusChangedTime = statusChangedTime;
    }

    /**
     * @return the inputItemid
     */
    public String getInputItemid() {
        return inputItemid;
    }

    /**
     * @param inputItemid
     *            the inputItemid to set
     */
    public void setInputItemid(final String inputItemid) {
        this.inputItemid = inputItemid;
    }

    /**
     * @return the outputItemid
     */
    public String getOutputItemid() {
        return outputItemid;
    }

    /**
     * @param outputItemid
     *            the outputItemid to set
     */
    public void setOutputItemid(final String outputItemid) {
        this.outputItemid = outputItemid;
    }

    /**
     * @return the graphId
     */
    public String getGraphId() {
        return graphId;
    }

    /**
     * @param graphId
     *            the graphId to set
     */
    public void setGraphId(final String graphId) {
        this.graphId = graphId;
    }

}
