/**
 * <p>Copyright:Copyright(c) 2017</p>
 * <p>Company:上海中信信息发展股份有限公司</p>
 * <p>包名:screenbean</p>
 * <p>文件名:AttentionedHost.java</p>
 * <p>创建时间:2017年6月12日 下午2:40:13</p>
 * <p>作者:user</p>
 */

package com.cesgroup.cesmonitor.screenbean;

/**
 * 被关注的主机
 *
 * @author sl
 * @version 1.0.0 2017年6月12日
 */
public class AttentionedHost {

    private Integer status;

    private String ip;

    private String os;

    private String name;

    private String host;

    public AttentionedHost() {
        super();
    }

    /**
     * @param status
     *            主机状态
     * @param ip
     *            ip地址
     * @param os
     *            操作系统
     * @param host
     *            主机
     * @param interfaces
     *            接口名
     */
    public AttentionedHost(final Integer status, final String ip, final String os, final String name, final String host) {
        super();
        this.status = status;
        this.ip = ip;
        this.os = os;
        this.name = name;
        this.host = host;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(final Integer status) {
        this.status = status;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(final String ip) {
        this.ip = ip;
    }

    public String getOs() {
        return os;
    }

    public void setOs(final String os) {
        this.os = os;
    }

    public String getHost() {
        return name;
    }

    public void setHost(final String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(final String name) {
        this.name = name;
    }
}
