/**
 * <p>Copyright:Copyright(c) 2017</p>
 * <p>Company:上海中信信息发展股份有限公司</p>
 * <p>包名:screenbean</p>
 * <p>文件名:AttentionedHostItem.java</p>
 * <p>创建时间:2017年6月12日 下午4:18:58</p>
 * <p>作者:user</p>
 */

package com.cesgroup.cesmonitor.screenbean;

/**
 *
 * @author sl
 * @version 1.0.0 2017年6月12日
 */
public class AttentionedHostItem {

    private String name;
    
    private String itemName;

    private String itemKey;

    private Integer status;

    private Double value;
    
    private String host;


    public AttentionedHostItem() {
        super();
    }

    /**
     * @param host
     *            主机
     * @param itemName
     *            监控项name
     * @param itemKey
     *            监控项的key,可能需要从中解析
     * @param status
     *            items的status 状态
     * @param value
     *            监控项的值
     */
    public AttentionedHostItem(String host,String name, String itemName, String itemKey, Integer status, Double value) {
        super();
        this.name = name;
        this.itemName = itemName;
        this.itemKey = itemKey;
        this.status = status;
        this.value = value;
        this.host = host;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemKey() {
        return itemKey;
    }

    public void setItemKey(String itemKey) {
        this.itemKey = itemKey;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Double getValue() {
        return value;
    }

    public void setValue(Double value) {
        this.value = value;
    }

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
