/**
 * <p>Copyright:Copyright(c) 2017</p>
 * <p>Company:上海中信信息发展股份有限公司</p>
 * <p>包名:com.cesgroup.cesmonitor.service.map</p>
 * <p>文件名:Layout.java</p>
 * <p>创建时间:2017年5月23日 上午9:52:03</p>
 * <p>作者:zhang.erwei</p>
 */

package com.cesgroup.cesmonitor.service.map;

import java.util.Map;

import com.zabbix4j.map.MapUpdateRequest;

/**
 * 布局
 *
 * @author zhang.erwei
 * @version 1.0.0 2017年5月23日
 */
public interface Layout {

    /**
     * 布局方法
     * @param map 拓扑图对象
     * @param groups 主机组对象
     * @throws Exception 异常对象
     */
    public void doLayout(MapUpdateRequest.Params map, Map<String, HostGroup> groups) throws Exception;
}