<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="sitemesh"
	uri="http://www.opensymphony.com/sitemesh/decorator"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="cui" tagdir="/WEB-INF/tags"%>
<c:set var="ctx" value="${pageContext.request.contextPath}" />


<!DOCTYPE html>
<html>
<head>
<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="Author" content="Zabbix SIA" />
<title>zabbix-server: IT服务的配置</title>
<link rel="icon" href="favicon.ico">
<link rel="apple-touch-icon-precomposed" sizes="76x76"
	href="${ctx}/img/apple-touch-icon-76x76-precomposed.png">
<link rel="apple-touch-icon-precomposed" sizes="120x120"
	href="${ctx}/img/apple-touch-icon-120x120-precomposed.png">
<link rel="apple-touch-icon-precomposed" sizes="152x152"
	href="${ctx}/img/apple-touch-icon-152x152-precomposed.png">
<link rel="apple-touch-icon-precomposed" sizes="180x180"
	href="${ctx}/img/apple-touch-icon-180x180-precomposed.png">
<link rel="icon" sizes="192x192"
	href="${ctx}/img/touch-icon-192x192.png">
<meta name="msapplication-TileImage"
	content="${ctx}/img/ms-tile-144x144.png">
<meta name="msapplication-TileColor" content="#d40000">
<meta name="msapplication-config" content="none" />
<link rel="stylesheet" type="text/css"
	href="${ctx}/styles/blue-theme.css" />
<style type="text/css">
.na-bg, .na-bg input[type="radio"]:checked+label {
	background-color: #97AAB3
}

.info-bg, .info-bg input[type="radio"]:checked+label {
	background-color: #7499FF
}

.warning-bg, .warning-bg input[type="radio"]:checked+label {
	background-color: #FFC859
}

.average-bg, .average-bg input[type="radio"]:checked+label {
	background-color: #FFA059
}

.high-bg, .high-bg input[type="radio"]:checked+label {
	background-color: #E97659
}

.disaster-bg, .disaster-bg input[type="radio"]:checked+label {
	background-color: #E45959
}
</style>
<script>
	var PHP_TZ_OFFSET = 28800;
</script>
<script src="${ctx}/js/browsers.js"></script>
<script
	src="${ctx}/php/jsLoader.php?ver=3.0.7&amp;lang=zh_CN&showGuiMessaging=1"></script>
<script
	src="${ctx}/php/jsLoader.php?ver=3.0.7&amp;lang=zh_CN&showGuiMessaging=1&amp;files[]=class.calendar.js&amp;files[]=servercheck.js"></script>

</head>
<body>
	<div class="article">

		<div class="header-title table">
			<div class="cell">
				<h1>主机详情</h1>
			</div>
		</div>
		<div class="table widget-placeholder">
			<div class="row">
				<div class="cell">
					<div class="dashbrd-widget-head">
						<h4>响应时间及丢包率</h4>
					</div>
					<div class="body" id="favgrph">faaaaaaaaaaaa</div>
					<div class="dashbrd-widget-head">
						<h4>CPU使用率及内存使用率</h4>
					</div>
					<div class="body" id="favgrph">bbbbbbbbbbbbbb</div>
					<div class="dashbrd-widget-head">
						<h4>主机详细信息</h4>
					</div>
					<div class="body" id="favgrph">
						<table class="list-table" id="t58f082b5a8b82">
							<tbody>
								<tr>
									<td><span>主机状态</span></td>
									<td>&nbsp;</td>
								</tr>
								<tr>
									<td><span>IP地址</span></td>
									<td>&nbsp;</td>
								</tr>
								<tr>
									<td><span>操作系统</span></td>
									<td>&nbsp;</td>
								</tr>
								<tr>
									<td><span>主机名称</span></td>
									<td>&nbsp;</td>
								</tr>
								<tr>
									<td><span>描述</span></td>
									<td>&nbsp;</td>
								</tr>

								<tr>
									<td><span>启动时间</span></td>
									<td>&nbsp;</td>
								</tr>
								<tr>
									<td><span>持续时间</span></td>
									<td>&nbsp;</td>
								</tr>

							</tbody>
						</table>
					</div>
					<div class="dashbrd-widget-head">
						<h4>Web监控状态</h4>
					</div>
					<div class="body" id="favgrph">
						<table class="list-table" id="t58f082b5a8b82">
							<thead>
								<tr>
									<th>名称</th>
									<th>监测步骤</th>
									<th>最近检查时间</th>
									<th>状态</th>
								</tr>
							</thead>
							<tbody>
								<tr id="id_0">
									<td><span>root</span></td>
									<td><ul class="hor-list">
											<li></li>
										</ul></td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
								</tr>
							</tbody>
						</table>
					</div>
					<div class="dashbrd-widget-head">
						<h4>资源报警信息</h4>
					</div>
					<div class="body" id="favgrph">
						<table class="list-table" id="t58f082b5a8b82">
							<thead>
								<tr>
									<th>问题</th>
									<th>上次修改于</th>
									<th>历时</th>
									<th>信息</th>
									<th>确认</th>
									<th>动作</th>
									<th>状态</th>
								</tr>
							</thead>
							<tbody>
								<tr id="id_0">
									<td><span>root</span></td>
									<td></td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>

				<div class="cell">
					<div class="dashbrd-widget-head">
						<h4>接口信息</h4>
					</div>
					<div class="body" id="favgrph">
						<table class="list-table" id="t58f082b5a8b82">
							<thead>
								<tr>
									<th>状态</th>
									<th>接口</th>
									<th>进流量</th>
									<th>出流量</th>
									<th>状态变更时间</th>
									<th>图表</th>

								</tr>
							</thead>
							<tbody>
								<tr id="id_0">
									<td><span>root</span></td>
									<td></td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
								</tr>
							</tbody>
						</table>
					</div>
					<div class="dashbrd-widget-head">
						<h4>磁盘使用量</h4>
					</div>
					<div class="body" id="favgrph">
						<table class="list-table" id="t58f082b5a8b82">
							<thead>
								<tr>
									<th>盘符</th>
									<th>总容量</th>
									<th>使用量</th>
									<th>空闲量</th>
									<th>图表</th>
								</tr>
							</thead>
							<tbody>
								<tr id="id_0">
									<td><span>root</span></td>
									<td></td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>

		</div>


	</div>

</body>
</html>