(function () {
  $.MsgBox = {
    Alert: function (title, msg) {
      GenerateHtml("alert", title, msg);
      btnOk(); //alert只是弹出消息，因此没必要用到回调函数callback
      btnNo();
    },
    Confirm: function (title, msg, callback) {
      GenerateHtml("confirm", title, msg);
      btnOk(callback);
      btnNo();
    }
  }

  //生成Html
  var GenerateHtml = function (type, title, msg) {
	if (title == null || title == undefined){
		title = "消息";
	}
    var _html = "";

    _html += '<div id="mb_box"><div id="mb_con"><div id="mb_head"><span id="mb_tit">' + title + '</span>';
    _html += '<a id="mb_ico">×</a></div><div id="mb_msg">' + msg + '</div><div id="mb_btnbox">';

    if (type == "alert") {
      _html += '<input id="mb_btn_ok" class="btn btn-primary" type="button" value="确定" />';
    }
    if (type == "confirm") {
      _html += '<input id="mb_btn_ok" class="btn btn-primary"  type="button" value="确定" />';
      _html += '<input id="mb_btn_no" class="btn btn-default"  type="button" value="取消" />';
    }
    _html += '</div></div></div>';

    jQuery("body").append(_html);
  }


  //确定按钮事件
  var btnOk = function (callback) {
	  jQuery("#mb_btn_ok").click(function () {
		  jQuery("#mb_box,#mb_con").remove();
			if (typeof (callback) == 'function') {
				callback();
			}
    	});
  }

  //取消按钮事件
  var btnNo = function () {
    jQuery("#mb_btn_no,#mb_ico").click(function () {
    	jQuery("#mb_box,#mb_con").remove();
    });
  }
})();

/*
$("#add").bind("click", function () {
  $.MsgBox.Alert("消息", "哈哈，添加成功！");
});

//回调函数可以直接写方法function(){}
$("#delete").bind("click", function () {
  $.MsgBox.Confirm("温馨提示", "执行删除后将无法恢复，确定继续吗？温馨提示", function () { alert("你居然真的删除了..."); });
});


function test() {
  alert("你点击了确定,进行了修改");
}
//也可以传方法名 test
$("#update").bind("click", function () {
  $.MsgBox.Confirm("温馨提示", "确定要进行修改吗？", test);
});

//当然你也可以不给回调函数,点击确定后什么也不做，只是关闭弹出层
　　//$("#update").bind("click", function () { $.MsgBox.Confirm("温馨提示", "确定要进行修改吗？"); });

*/